[ARVADOS] updated: bfa69a748122aa2515c85052c8e38752d290ecc1

git at public.curoverse.com git at public.curoverse.com
Mon Feb 3 15:32:57 EST 2014


Summary of changes:
 docker/build.sh |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)
 create mode 100644 docker/build.sh

       via  bfa69a748122aa2515c85052c8e38752d290ecc1 (commit)
      from  9899ee7ffeaa915e36df61cd814cf6e06db7ebe9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit bfa69a748122aa2515c85052c8e38752d290ecc1
Author: Tim Pierce <twp at curoverse.com>
Date:   Mon Feb 3 15:32:59 2014 -0500

    Fix build.sh bugs.

diff --git a/docker/build.sh b/docker/build.sh
new file mode 100644
index 0000000..6478f81
--- /dev/null
+++ b/docker/build.sh
@@ -0,0 +1,42 @@
+#! /bin/bash
+
+build_ok=true
+
+# Check that:
+#   * IP forwarding is enabled in the kernel.
+
+if [ "$(/sbin/sysctl --values net.ipv4.ip_forward)" != "1" ]
+then
+    echo >&2 "WARNING: IP forwarding must be enabled in the kernel."
+    echo >&2 "Try: sudo sysctl net.ipv4.ip_forward=1"
+    build_ok=false
+fi
+
+#   * Docker can be found in the user's path
+#   * The user is in the docker group
+#   * cgroup is mounted
+#   * the docker daemon is running
+
+if ! docker images > /dev/null 2>&1
+then
+    echo >&2 "WARNING: docker could not be run."
+    echo >&2 "Please make sure that:"
+    echo >&2 "  * You have permission to read and write /var/run/docker.sock"
+    echo >&2 "  * a 'cgroup' volume is mounted on your machine"
+    echo >&2 "  * the docker daemon is running"
+    build_ok=false
+fi
+
+#   * config.yml exists
+if [ '!' -f config.yml ]
+then
+    echo >&2 "WARNING: no config.yml found in the current directory"
+    echo >&2 "Copy config.yml.example to config.yml and update it with settings for your site."
+    build_ok=false
+fi
+
+# If ok to build, then go ahead and run make
+if $build_ok
+then
+    make $*
+fi

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list